Package org.springframework.context.annotation

# Interface DeferredImportSelector

All Superinterfaces:
  `ImportSelector`

public interface DeferredImportSelector extends ImportSelector
A variation of `ImportSelector` that runs after all `@Configuration` beans have been processed. This type of selector can be particularly useful when the selected imports are `@Conditional`.

Implementations can also extend the `Ordered` interface or use the `Order` annotation to indicate a precedence against other `DeferredImportSelectors`.

Implementations may also provide an `import group` which can provide additional sorting and filtering logic across different selectors.

Since:
  4.0
Author:
  Phillip Webb, Stephane Nicoll

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`DeferredImportSelector.Group`
Interface used to group results from different import selectors.

## Method Summary

Modifier and Type
Method
Description
`default Class<? extends DeferredImportSelector.Group>`
`getImportGroup()`
Return a specific import group.

### Methods inherited from interface org.springframework.context.annotation.ImportSelector

`getExclusionFilter, selectImports`

## Method Details

### getImportGroup

@Nullable default Class<? extends DeferredImportSelector.Group> getImportGroup()
Return a specific import group.

The default implementations return `null` for no grouping required.

Returns:
  the import group class, or `null` if none
Since:
  5.0